#include <Item/StatelessItem/BasicItem/Coil/Coil.hpp>
#include <ItemStack/ItemStack.hpp>

Coil::Coil(std::string name) : BasicItem(name, "Coil", Material::coil) {};

void Coil::describeInChemicalReactor(ItemStack &stack, std::ostream &os)
{
    os << "Heats up the reactor." << std::endl;
    os << "A battery must be in the reactor." << std::endl;
    os << "Drains 1 J/t per coil." << std::endl;
}

void Coil::updateChemicalReactor(ItemStack &stack, MChemicalReactor &reactor)
{
    reactor.heatUp(20 * reactor.drainEnergy(stack.getStackSize()));
}